var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Icon, Flex, Stack, StackItem } from '@patternfly/react-core';
export const SourceDetailsMenuItem = (_a) => {
    var { icon, name, type } = _a, props = __rest(_a, ["icon", "name", "type"]);
    return (React.createElement(Flex, Object.assign({ className: "pf-chatbot__source-details", gap: { default: 'gapSm' } }, props),
        React.createElement(Flex, { justifyContent: { default: 'justifyContentCenter' }, alignItems: { default: 'alignItemsCenter' }, alignSelf: { default: 'alignSelfCenter' } },
            React.createElement(Icon, { className: "pf-chatbot__source-details-icon" }, icon)),
        React.createElement(Stack, { className: "pf-chatbot__source-details-text" },
            React.createElement(StackItem, null,
                React.createElement("span", { className: "pf-chatbot__source-details-heading" }, name)),
            type && React.createElement(StackItem, { className: "pf-chatbot__source-details-subhead" }, type))));
};
export default SourceDetailsMenuItem;
